as.data.table.xts {data.table} | R Documentation

## Efficient xts to as.data.table conversion

### Description

Efficient conversion xts to data.table.

### Usage

    ## S3 method for class 'xts'
    as.data.table(x, keep.rownames = TRUE, ...)

### Arguments

`x` | xts to convert to data.table
`keep.rownames` | keep xts index as index column in result data.table
`...` | ignored, just for consistency with `as.data.table`

### See Also

`as.xts.data.table`

### Examples

    if (requireNamespace("xts", quietly = TRUE)) {
      data(sample_matrix, package = "xts")
      sample.xts <- xts::as.xts(sample_matrix) # xts might not be attached on search path
      # print head of xts
      print(head(sample.xts))
      # print data.table
      print(as.data.table(sample.xts))
    }

[Package data.table version 1.12.2 Index]